Page MenuHomePhabricator

Document browser tests ownership (and what it means) on wiki
Closed, ResolvedPublic

Description

From T134492:

Repositorycontact
mediawiki/extensions/CentralAuth@Tgr
mediawiki/extensions/CentralNotice@AndyRussG
mediawiki/extensions/CirrusSearch@dcausse
mediawiki/coreRelease-Engineering-Team @zeljkofilipin
mediawiki/extensions/Echo@SBisson
mediawiki/extensions/Flow@SBisson
mediawiki/extensions/GettingStarted@Mattflaschen-WMF @phuedx
mediawiki/extensions/Math@Physikerwelt
mediawiki/extensions/MobileFrontend@Jdlrobson
mediawiki/extensions/MultimediaViewer@Jdlrobson
mediawiki/extensions/PageTriage@SBisson
mediawiki/extensions/QuickSurveys@Jdlrobson
mediawiki/extensions/RelatedArticles@Jdlrobson
mediawiki/extensions/VisualEditor@Jdforrester-WMF
mediawiki/extensions/WikibaseWikidata @Tobi_WMDE_SW
wmde/WikidataBrowserTestsWikidata @Tobi_WMDE_SW
mediawiki/extensions/WikiLove@SBisson

Event Timeline

greg created this task.Aug 8 2016, 5:07 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2016, 5:07 PM
adrianheine updated the task description. (Show Details)Aug 8 2016, 5:59 PM
Tobi_WMDE_SW updated the task description. (Show Details)Aug 16 2016, 1:10 PM
Tobi_WMDE_SW updated the task description. (Show Details)
zeljkofilipin added a comment.EditedAug 19 2016, 2:49 PM

selenium.yaml file is the source of truth on who owns which selenium* job. Duplicating the data on a wiki page means that it will probably get out of date with time, as people forget to update it when updating the file. The file should have owners' phabricator user name (as a comment).

I could create a very short wiki page saying what it means to be an owner and linking to the file. Or we could just document that in the file. Or both.

Owner of the job makes sure the job is passing. If the job fails, it has to be fixed as soon as possible. If the owner can not fix the job, they should ask for help.

greg added a comment.Aug 19 2016, 5:03 PM

selenium.yaml file is the source of truth on who owns which selenium* job. Duplicating the data on a wiki page means that it will probably get out of date with time, as people forget to update it when updating the file. The file should have owners' phabricator user name (as a comment).

Good point.

I could create a very short wiki page saying what it means to be an owner and linking to the file. Or we could just document that in the file. Or both.

I think that makes sense (documenting on-wiki what it means to be an owner, cross linking it).

The purpose is just to make it more discoverable. A wiki page with a "what is this?" and a link to the file should be alright.

Change 306648 had a related patch set uploaded (by Zfilipin):
Added Phabricator username for owners of Selenium jobs

https://gerrit.wikimedia.org/r/306648

Change 306648 merged by jenkins-bot:
Added Phabricator username for owners of Selenium jobs

https://gerrit.wikimedia.org/r/306648

zeljkofilipin closed this task as Resolved.Aug 26 2016, 12:01 PM

Resolving, please reopen if there is something that still needs to be done.